## qpsnr-dmo 0.2.5

=== Makefile ===
#Makefile generated by amake
#On Wed Feb 17 10:48:47 2010
#To print amake help use 'amake --help'.
CC=gcc
CPPC=g++
LINK=g++
SRCDIR=src
OBJDIR=obj
FLAGS=-W -Wall -ggdb -O2 -D_REENTRANT -pthread -D__STDC_LIMIT_MACROS=1 -D__STDC_CONSTANT_MACROS=1 -D__STDC_FORMAT_MACROS==1 -std=gnu++98 -D_GNU_SOURCE
LIBS=-lavcodec -lavformat -lswscale -lavutil
OBJS=$(OBJDIR)/qav.o $(OBJDIR)/stats.o $(OBJDIR)/main.o $(OBJDIR)/settings.o 
EXEC=qpsnr

$(EXEC) : $(OBJS)
	$(LINK) $(OBJS) -o $(EXEC) $(FLAGS) $(LIBS)

$(OBJDIR)/qav.o: src/qav.cpp src/qav.h src/settings.h $(OBJDIR)/__setup_obj_dir
	$(CPPC) $(FLAGS) src/qav.cpp -c -o $@

$(OBJDIR)/stats.o: src/stats.cpp src/stats.h src/mt.h src/shared_ptr.h \
 src/settings.h $(OBJDIR)/__setup_obj_dir
	$(CPPC) $(FLAGS) src/stats.cpp -c -o $@

$(OBJDIR)/main.o: src/main.cpp src/mt.h src/shared_ptr.h src/qav.h src/settings.h \
 src/stats.h $(OBJDIR)/__setup_obj_dir
	$(CPPC) $(FLAGS) src/main.cpp -c -o $@

$(OBJDIR)/settings.o: src/settings.cpp src/settings.h $(OBJDIR)/__setup_obj_dir
	$(CPPC) $(FLAGS) src/settings.cpp -c -o $@

$(OBJDIR)/__setup_obj_dir :
	mkdir -p $(OBJDIR)
	touch $(OBJDIR)/__setup_obj_dir

.PHONY: clean bzip

clean :
	rm -rf $(OBJDIR)/*.o
	rm -rf $(EXEC)

bzip :
	tar -cvf $(EXEC).tar $(SRCDIR)/* Makefile
	bzip2 $(EXEC).tar

=== debian/changelog ===
qpsnr-dmo (0.2.5-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Apr 2018 09:00:57 +0200

qpsnr-dmo (0.2.5-dmo2) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Mar 2017 00:34:33 +0100

qpsnr-dmo (0.2.5-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Mar 2016 11:17:34 +0100

=== debian/control ===
Source: qpsnr-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://qpsnr.youlink.org/
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 11), quilt, libavcodec-dev, libavformat-dev,
 libswscale-dev

Package: qpsnr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: quick PSNR/SSIM analyzer
 Quick PSNR (Peak signal-to-noise ratio) and SSIM (Structural similarity).
 .
 PSNR is most commonly used to measure the quality of reconstruction of
 lossy compression codecs.
 .
 SSIM index is a method for predicting the perceived quality of digital
 television and cinematic pictures,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

override-dh_clean:
	${RM} -rf obj

=== debian/watch ===
version=3

http://qpsnr.youlink.org/data/qpsnr_(.*)\.tar\.bz2
